<?php
header('Content-Type: text/html; charset=utf-8');

    use PFBC\Form;
    use PFBC\Element;
    use PFBC\View;
    use PFBC\Validation;
    use documongo\MongoObject\Document;
    use documongo\MongoObject\DocumentType;
		$outbody = '';
		$outhead = '';
		$graph = array();
		$itemlist = '<ul>';
		$i = 0;
require_once("lib/fconnect.php");
$db = DBConnect::getInstance();
    require_once("lib/frole.php");
    $role = new Role();

$role->isPageEnable($user->uuid);

$params = $db->colModel->findOne( array('name'=>'chair'));

foreach($params['items'] as $item){
	$subtext='';
	if(isset($item['pdf']) && $item['pdf']){
		if(isset($item['type'])){
			if($item['type'] == 'section'){$itemlist .= '<li>Раздел '.++$i.': <b>'.$item['label_ru'].'</b></li>';}
			elseif($item['type'] == 'subsection'){ $subtext = $item['label_ru'];}
			else{$itemlist .= '<li><b>'.$item['index_code_ru'].'</b>
				<a href="?item='.$item['name'].'#container">'.$subtext.' '.$item['label_ru'].'</a>
				<a href="?item='.$item['name'].'&first=10#container"> __10Absolute__</a>
				</li>';}
			if(isset($_GET['item']) && $_GET['item']==$item['name']){
				$title = addcslashes($item['index_code_ru'] . '. ' . $subtext.' '.$item['label_ru'], "'");
				$title = addcslashes($title, '"');
				if($item['accumulative']){$accFlag = true; $description ='Накопительный параметр';}else{$accFlag = false;$description ='Ненакопительный параметр';}
			}

		}
	}
}

//Отлов значений

if(isset($_GET['item'])){
	$docs = $db->colDocs->find(array('type'=>'faculty'));
	//$thisItem = $db->colModel->findOne( array('name'=>'chair'));
	if($accFlag){
		foreach($docs as $doc){
			$chairs = $db->colDocs->find(array('parent'=>$doc['uuid']));
			$data['pure'][$doc['title_ru']] = 0;
			foreach($chairs as $chair){
				if(isset($chair[$_GET['item']])){
					$data['pure'][$doc['title_ru']] += (float)$chair[$_GET['item']];
				}
			}

		}
	}else{
		foreach($docs as $doc){
			$chairs = $db->colDocs->find(array('parent'=>$doc['uuid']));
			$data['pure'][$doc['title_ru']] = 0;
			foreach($chairs as $chair){
				if(isset($chair['versions'])){
					foreach($chair['versions'] as $version){
						if(isset($version['content'][$_GET['item']])){
							$data['pure'][$doc['title_ru']] += (float)$version['content'][$_GET['item']];
						}
					}
				}
				if(isset($chair[$_GET['item']])){$data['pure'][$doc['title_ru']] += (float)$chair[$_GET['item']];}
			}
		}

	}
	arsort($data['pure']);
	$height = 600;
foreach($data['pure'] as $key => $value){
	$titlesArr[] = "'".$key."'";
	$valuesArr[] = $value;
	}
	if(isset($_GET['first']) && $_GET['first']=='10'){
	$titlesArr = array_slice($titlesArr,0,10);
	$valuesArr = array_slice($valuesArr,0,10);
	$height = 300;
	}
foreach($titlesArr as $key => $value){
	$allData[]="[".$value.", ".$valuesArr[$key]."]";
}
$graphData = implode(', ', $allData);
$outhead = "<script>
$(function () {
    $('#container').highcharts({
        chart: {
            type: 'column'
        },
        colors:['#555555'],
        exporting:{
			enabled: false
		},
        title: {
            text: '".$title."'
        },
        subtitle: {
            text: '".$description."'
        },
        xAxis: {
            type: 'category',
            labels: {
                rotation: -80,
                style: {
                    fontSize: '15px',
                    fontFamily: 'Verdana, sans-serif',
                    color:'#000000'
                }
            },

        },
        yAxis: {
            min: 0,
            title: {
                text: ''
            },
                        labels: {

                 style: {
                 fontSize: '15px',
            color: '#000'
         }
            }
        },
        legend: {
            enabled: false
        },
        tooltip: {
            pointFormat: 'Сумма значений кафедр факультета {point.y:,.1f}'
        },
        series: [{
            data: [
            ".$graphData."
            ],
            dataLabels: {
                enabled: true,
                rotation: -75,
                color: '#000000',
                align: 'right',
                x: 10,
                y: -40,
                style: {
                    fontSize: '13px',
                    fontFamily: 'Verdana, sans-serif',
                    textShadow: '0 0 3px black'
                }
            }
        }]
    });
});
</script>
";
}


$itemlist .= '</ul>';
$outbody .= $itemlist;
?>
<!doctype html>
<html lang="ru">
<head>
<meta charset="utf-8" />
<title>Рейтинг структурных учебных подразделений по показателям</title>
<link rel="stylesheet" href="/css/jquery-ui.css" />

<script src="/js/jquery-1.9.1.js"></script>
<script src="/js/jquery-ui.js"></script>
<script src="/js/jquery.form.js"></script>
<script src="/js/bootstrap.min.js"></script>

<script src="/js/highcharts/highcharts.js"></script>
<script src="/js/highcharts/highcharts-more.js"></script>
<script src="/js/highcharts/modules/exporting.js"></script>

<link type="text/css" rel="stylesheet" href="/css/bootstrap-combined.min.css">
<link rel="stylesheet" href="/css/base.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.form.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/admin.css" />
<link rel="stylesheet" href="/css/navigation__horizontal.css" />
<link rel="stylesheet" href="/css/units.css" />
<style>
div#container{margin-left:30px;}
</style>
<script src="/js/auth.js"></script>
  <script>
    var language = "<?=$language?>";
    var pageType = "<?=$pageType?>";
  </script>
<?=$outhead?>
</head>

<body>


<header class="header gradient">
  <div class="header__logo">
    <img src="/images/herzen.png" />
  </div>
  <div class="header__headings">
    <h1 class="header__headings__heading">
      "Рейтинг структурных учебных подразделений по показателям"</h1>
  </div>

  <div class="userbox userbox_parent_header">
    <div class="userbox__controls">
      <span class="userbox__controls__profile">профиль</span> / <span class="userbox__controls__logout">выход</span>
    </div>
    <div class="userbox__username">
        <span class="userbox__username__displayname" data-uuid="<?=$this->user->uuid?>"><?=$this->user->givenname?> <?=$this->user->lastname?></span>
    </div>
  </div>

  <div class="header__helper"></div>
</header>
<div class = "left">
	<?php
echo $role->userMenu($user->uuid);
	?>
</div>

<!-- CURRENT PAGE -->
<div class="all">
	<h1>Абсолютные значения показателей</h1>
<?=$outbody?>
<div id="container" style="min-width: 500px; height: 800px; margin: 0 auto"></div>
</div>
</body>
</html>
